%define snapshot 20160216

Name:           wizznic
Version:        1.0
Release:        %mkrel -c %{snapshot} 3
Summary:        Brick-matching puzzle game
Group:          Games/Puzzles
License:        GPLv3+
URL:            http://dustedgames.blogspot.dk/p/wizznic.html
Source0:        %{name}-%{version}-%{snapshot}.tar.xz
Patch0:         wizznic-1.0-mga-compile-flags.patch

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
Requires:       %{name}-data >= %{version}

%description
Wizznic is a brick-matching puzzle-game, an improved version of Puzznic.
The challenge is to clear each level of bricks by moving the bricks next
to each other, this sounds a lot easier than it is. The bricks are heavy,
so you can only push them, not lift them up.

%files
%doc doc/changelog.txt doc/credits.txt doc/media-licenses.txt doc/music-score-credits.txt doc/readme.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------

%package data
Summary:        Arch-independent data files for the Wizznic game
BuildArch:      noarch

%description data
This package contains arch-independent data files for Wizznic,
a brick-matching puzzle game.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-%{snapshot}
%autopatch -p1

%build
%setup_compile_flags
%make -f Makefile.linux \
    BINDIR=%{_gamesbindir} \
    DATADIR=%{_gamesdatadir}/%{name}/ \
    STRIP=:

%install
%make_install -f Makefile.linux \
    BINDIR=%{_gamesbindir} \
    DATADIR=%{_gamesdatadir}/%{name}/

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Wizznic
Comment=%{summary}
GenericName=Puzzle game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;LogicGame;
EOF

install -D -m644 data/wmicon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Wed Feb 17 2016 akien <akien> 1.0-0.20160216.3.mga6
+ Revision: 963325
- New snapshot

* Wed Feb 17 2016 umeabot <umeabot> 1.0-0.20150317.3.mga6
+ Revision: 963247
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 daviddavid <daviddavid> 1.0-0.20150317.2.mga6
+ Revision: 898327
- do not strip binary to fix empty debuginfo
- force GNU inline semantics, fixes build with gcc5

* Sat Jul 04 2015 akien <akien> 1.0-0.20150317.1.mga6
+ Revision: 850607
- imported package wizznic

